Package org.apache.ignite.internal.management.encryption

## Class GetMasterKeyNameTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,​R,​R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<NoArg,​String>
    - - org.apache.ignite.internal.management.encryption.GetMasterKeyNameTask

All Implemented Interfaces:
  `Serializable`, `ComputeTask<VisorTaskArgument<NoArg>,​VisorTaskResult<String>>`

    @GridInternal
    public class GetMasterKeyNameTask
    extends VisorOneNodeTask<NoArg,​String>

The task for getting the master key name.

See Also:
  `IgniteEncryption.getMasterKeyName()`, Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
`GetMasterKeyNameTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<NoArg,​String>` `job​(NoArg arg)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GetMasterKeyNameTask

    public GetMasterKeyNameTask()

### Method Detail

#### job

    protected VisorJob<NoArg,​String> job​(NoArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<NoArg,​String,​String>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.